sqlsrv_next_result
sqlsrv_num_rows
SQLSRV Functions
PHP Manual

# sqlsrv_num_fields

Retrieves the number of fields (columns) on a statement

### Description

mixed sqlsrv_num_fields ( resource `$stmt` )

Retrieves the number of fields (columns) on a statement.

### Parameters

`stmt`

  The statment for which the number of fields is returned. sqlsrv_num_fields can be called on a statement before or after statement execution.

### Return Values

Returns the number of fields on success. Returns `FALSE` otherwise.

### Examples

Example #1 sqlsrv_num_fields example

`<?php
$serverName = "serverName\sqlexpress";
$connectionInfo = array( "Database"=>"dbName", "UID"=>"username", "PWD"=>"password");
$conn = sqlsrv_connect( $serverName, $connectionInfo);
if( $conn === false ) {
die( print_r( sqlsrv_errors(), true));
}
$sql = "SELECT * FROM Table_1";
$stmt = sqlsrv_query($conn, $sql);
if( $stmt === false) {
die( print_r( sqlsrv_errors(), true));
}
$numFields = sqlsrv_num_fields( $stmt );
while( sqlsrv_fetch( $stmt )) {
// Iterate through the fields of each row.
for($i = 0; $i < $numFields; $i++) {
{
echo sqlsrv_get_field($stmt, $i)." ";
}
echo "<br />";
}
?>`

### See Also

- sqlsrv_field_metadata
- sqlsrv_fetch
- sqlsrv_get_field